Subject: Re: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information

From: Robert Pluim <[email-masked]>
Date: Tue, 01 Dec 2020 10:15:55 +0100

Robert Pluim <[email-masked]> writes:

> This is under Gnome Shell on Debian 10, which I think uses mutter as a
> window manager:
>
> ./emacs -Q # The frame is near the top-left, I move it to the right bottom quadrant
> (pgtk-backend-display-class) => "GdkWaylandDisplay"
> (frame-position) => (0 . 0)
>
> GDK_BACKEND=x11 ./emacs -Q
> (pgtk-backend-display-class) => "GdkX11Display"
> (frame-position) => (0 . 0)
>
> ./emacs -Q # emacs master branch
> (frame-position) => (2136 . 549)
>
> (also `set-frame-position' doesnʼt work, even though I see it calling
> gtk_window_move. I can open a separate report for that)

And a side effect of this is that specifying things like 'top or 'left
in 'default-frame-alist' donʼt affect the positioning of frames.

Robert